Package skyview.geometry.distorter

# Class Neat

java.lang.Object
skyview.geometry.Transformer
skyview.geometry.Distorter
skyview.geometry.distorter.Neat

All Implemented Interfaces:
  `Serializable`, `Component`

public class Neat extends Distorter
This class implements the NEAT radial distortion.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`Neat.NeatInv`

## Constructor Summary

Constructors
Constructor
Description
`Neat(double scale, double x0, double y0)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
What does this object do?
`String`
`getName()`
A name for this object
`Distorter`
`inverse()`
Get the inverse of the transformation.
`boolean`
`isInverse(Transformer test)`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.
`void`
`transform(double[] in, double[] out)`
Convert a single point where the output vector is supplied.

### Methods inherited from class skyview.geometry.Distorter

`applyBeforeScaling, getInputDimension, getOutputDimension, jacobian`

### Methods inherited from class skyview.geometry.Transformer

`transform, transform`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Neat

public Neat(double scale, double x0, double y0)

## Method Details

### getName

public String getName()
Description copied from class: `Distorter`
A name for this object

Specified by:
  `getName` in interface `Component`
Specified by:
  `getName` in class `Distorter`

### getDescription

public String getDescription()
Description copied from class: `Distorter`
What does this object do?

Specified by:
  `getDescription` in interface `Component`
Specified by:
  `getDescription` in class `Distorter`

### inverse

public Distorter inverse()
Description copied from class: `Transformer`
Get the inverse of the transformation. If the order matters, then the inverse is to be applied after the original transformation. This is primarily an issue with Converters.

Specified by:
  `inverse` in class `Distorter`

### isInverse

public boolean isInverse(Transformer test)
Description copied from class: `Transformer`
Are these two transformations, inverses of each other? This method is used to optimize a series of transformations where transformations.

Specified by:
  `isInverse` in class `Transformer`

### transform

public void transform(double[] in, double[] out)
Description copied from class: `Transformer`
Convert a single point where the output vector is supplied.

Specified by:
  `transform` in class `Transformer`
Parameters:
  `in` - The input vector.
  `out` - The output vector, it may be the same as the input vector if the dimensionalities are the same. All transformers are expected to work with aliased inputs and output.